Page MenuHomePhabricator

ecore_evas: introduce wayland support for cnp & dnd
ClosedPublic

Authored by bu5hm4n on Feb 12 2020, 5:52 AM.

Details

Summary

This adds cnp support, actions are right now only mapped to "ask",
further support can be added there, and synchronization can be added to
register more available actions. However, i did not find *any* wayland
implementation in gtk qt nor chromiumos that even use the action to
indicate anything. This here also has a slightly different behaviour to
X11 in terms of coordinates for motion,leave,enter. They can contain
negative coordinates (which is due to the fact that wl is CSD and X11 is
SSD. However, I did not want to fix this in any regard, as you might
want to use that, and it would be a none trivial amount of code to fix
that.

Depends on D11195

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Feb 12 2020, 5:52 AM
bu5hm4n requested review of this revision.Feb 12 2020, 5:52 AM
zmike requested changes to this revision.Feb 12 2020, 7:21 AM

needs component prefixing in commit log

src/modules/ecore_evas/engines/wayland/ecore_evas_wayland_common.c
2532

this iterator is never freed

2599

?

2636

Not sure we can rely entirely on this doing the full write in one shot. I've used a fd handler here in my other implementations to ensure that this doesn't fail to write (very large) buffers.

This revision now requires changes to proceed.Feb 12 2020, 7:21 AM
bu5hm4n updated this revision to Diff 28994.Feb 12 2020, 11:44 AM
bu5hm4n retitled this revision from Introduce wayland support to the new ecore_evas cnp support to ecore_evas: introduce wayland support for cnp & dnd.
bu5hm4n edited the summary of this revision. (Show Details)

fixes

bu5hm4n marked 3 inline comments as done.Feb 12 2020, 11:45 AM
devilhorns requested changes to this revision.Feb 12 2020, 12:46 PM
devilhorns added a subscriber: devilhorns.
devilhorns added inline comments.
src/modules/ecore_evas/engines/wayland/ecore_evas_wayland_private.h
39

Can you format this like the other structures that are already there please ??

This revision now requires changes to proceed.Feb 12 2020, 12:46 PM
bu5hm4n updated this revision to Diff 29076.Feb 15 2020, 12:53 PM

fixes & rebase

bu5hm4n marked an inline comment as done.Feb 15 2020, 12:56 PM
zmike requested changes to this revision.Feb 18 2020, 9:40 AM
zmike added inline comments.
src/modules/ecore_evas/engines/wayland/ecore_evas_wayland_common.c
2617

This is a broken free call since you've potentially incremented the pointer.

2653

Err, you can still call the write function directly before going straight to the fd handler since in most cases it's not going to be required?

This revision now requires changes to proceed.Feb 18 2020, 9:40 AM
bu5hm4n updated this revision to Diff 29140.Feb 19 2020, 11:06 AM

update due to ee changes

tbh. It doesnt hurt to move it to later, the protocol does not say anything about when it needs to be written. And its fewer code ... so ... here we are.

bu5hm4n updated this revision to Diff 29143.Feb 19 2020, 11:18 AM

free correct pointer

zmike accepted this revision.Feb 20 2020, 6:46 AM

Probably not going to explode

bu5hm4n updated this revision to Diff 29278.Mar 3 2020, 4:28 AM

rebase & update the complete stack to work arround issues

zmike accepted this revision.Mar 3 2020, 9:16 AM
devilhorns accepted this revision.Mar 3 2020, 10:10 AM
This revision is now accepted and ready to land.Mar 3 2020, 10:10 AM
bu5hm4n updated this revision to Diff 29323.Mar 3 2020, 11:48 PM

fix writing of giant memory junks.

bu5hm4n updated this revision to Diff 29331.Mar 4 2020, 8:30 AM

supper tizen platform code

which decided to fork off the content of ecore_evas_wayland_common.h and changed the meaning of ee->prop.win

Closed by commit rEFL5ac02ec9acdd: ecore_evas: introduce wayland support for cnp & dnd (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyMar 8 2020, 3:03 AM
This revision was automatically updated to reflect the committed changes.